## robocode.robotinterfaces
Interface IBasicEvents2

All Superinterfaces:
  IBasicEvents

All Known Subinterfaces:
  IBasicEvents3

All Known Implementing Classes:
  _AdvancedRadiansRobot, _AdvancedRobot, AdvancedRobot, RateControlRobot, Robot, TeamRobot

    public interface IBasicEvents2

extends IBasicEvents

First extended version of the `IBasicEvents` interface.

Since:
  1.6.1
Author:
  Pavel Savara (original)

Method Summary
`void` `onBattleEnded(BattleEndedEvent event)` This method is called after the end of the battle, even when the battle is aborted.

Methods inherited from interface robocode.robotinterfaces.IBasicEvents
`onBulletHit, onBulletHitBullet, onBulletMissed, onDeath, onHitByBullet, onHitRobot, onHitWall, onRobotDeath, onScannedRobot, onStatus, onWin`

Method Detail

### onBattleEnded

    void onBattleEnded(BattleEndedEvent event)

  This method is called after the end of the battle, even when the battle is aborted. You should override it in your robot if you want to be informed of this event.

  Example:

         public void onBattleEnded(BattleEndedEvent event) {
             out.println("The battle has ended");
         }

  Parameters:
    `event` - the BattleEndedEvent set by the game
  Since:
    1.6.1
  See Also:
    `BattleEndedEvent`, `IBasicEvents3.onRoundEnded(RoundEndedEvent)`, `WinEvent`, `DeathEvent`, `Event`

Copyright © 2012 Robocode. All Rights Reserved.